using System;
using System.Windows;

internal sealed class Delegate58 : MulticastDelegate
{
	public extern MessageBoxResult Invoke(object object_0);

	public static MessageBoxResult smethod_0(object object_0, Delegate58 delegate58_1)
	{
		return delegate58_1(object_0);
	}

	public extern Delegate58(object object_0, IntPtr intptr_0);

	static Delegate58()
	{
		Class10.smethod_13(typeof(Delegate58).TypeHandle);
	}

	internal static Delegate58 delegate58_0;
}
